xfce-exec
3
LIBXFCEGUI4 Library

# xfce-exec

executing commands from within Xfce applications.

## Synopsis

    #include <libxfcegui4/libxfcegui4.h>

    gboolean            xfce_exec                           (const char *cmd,
                                                             gboolean in_terminal,
                                                             gboolean use_sn,
                                                             GError **error);
    gboolean            xfce_exec_with_envp                 (const char *cmd,
                                                             gboolean in_terminal,
                                                             gboolean use_sn,
                                                             GError **error,
                                                             char **envp);

## Description

The xfce-exec module provides functions to execute other applications from within Xfce applications using Startup Notification or executing applications that use the CLI (command line interface) in an X terminal.

## Details

### xfce_exec ()

    gboolean            xfce_exec                           (const char *cmd,
                                                             gboolean in_terminal,
                                                             gboolean use_sn,
                                                             GError **error);

Use xfce_exec_with_envp if you want to specify the environment.

`cmd` :

  command line to run

`in_terminal` :

  whether to run `cmd` in a terminal

`use_sn` :

  whether to use startup notification

`error` :

  location for a GError or NULL

Returns :

  TRUE on success, FALSE on failure.

### xfce_exec_with_envp ()

    gboolean            xfce_exec_with_envp                 (const char *cmd,
                                                             gboolean in_terminal,
                                                             gboolean use_sn,
                                                             GError **error,
                                                             char **envp);

See also xfce_exec.

`cmd` :

  command line to run

`in_terminal` :

  whether to run `cmd` in a terminal

`use_sn` :

  whether to use startup notification

`error` :

  location for a GError or NULL

`envp` :

  the environment

Returns :

  TRUE on success, FALSE on failure.